""" anything touching session data should go through here """

import util


def get_mod_login(request):
	return request.session.get('mod_name', ''), request.session.get('mod_password', '')

def set_mod_login(request, name, password):
	request.session['mod_name'] = name
	request.session['password'] = password

def delete_mod_login(request):
	if 'mod_name' in request.session:
		del request.session['mod_name']
	if 'password' in request.session:
		del request.session['password']
	if 'mod_logout_confirm' in request.session:
		del request.session['mod_logout_confirm']

def get_mod_logout_confirm(request):
	if 'mod_name' in request.session:
		if 'mod_logout_confirm' not in request.session:
			request.session['mod_logout_confirm'] = util.rand_str(24)
		return request.session['mod_logout_confirm']
	else:
		return None